Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/diagedyn.F
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/diagedyn.F	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/diagedyn.F	(revision 1140)
@@ -58,6 +58,7 @@
 #include "paramet.h"
 #include "comgeom.h"
-
-#ifdef CPP_PHYS
+#include "iniprint.h"
+
+#ifdef CPP_EARTH
 #include "../phylmd/YOMCST.h"
 #include "../phylmd/YOETHF.h"
@@ -139,5 +140,5 @@
 
 
-#ifdef CPP_PHYS
+#ifdef CPP_EARTH
 c======================================================================
 C     Compute Kinetic enrgy
@@ -314,6 +315,7 @@
 C
 #else
-      print*,'Pour l instant diagedyn a besoin de la physique'
+      write(lunout,*),'diagedyn: Needs Earth physics to function'
 #endif
+! #endif of #ifdef CPP_EARTH 
       RETURN 
       END 
Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/etat0_netcdf.F
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/etat0_netcdf.F	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/etat0_netcdf.F	(revision 1140)
@@ -5,5 +5,5 @@
 c
       SUBROUTINE etat0_netcdf (interbar, masque)
-    
+#ifdef CPP_EARTH        
       USE startvar
       USE ioipsl
@@ -14,4 +14,6 @@
       USE filtreg_mod
       USE infotrac
+#endif
+!#endif of #ifdef CPP_EARTH
       !
       IMPLICIT NONE
@@ -25,4 +27,5 @@
 !     .KLON=KFDIA-KIDIA+1,KLEV=llm
       !
+#ifdef CPP_EARTH    
 #include "comgeom2.h"
 #include "comvert.h"
@@ -31,8 +34,14 @@
 #include "dimsoil.h"
 #include "temps.h"
-      !
+#endif
+!#endif of #ifdef CPP_EARTH
+      ! arguments:
       LOGICAL interbar
+      REAL :: masque(iip1,jjp1)
+
+#ifdef CPP_EARTH
+      ! local variables:
       REAL :: latfi(klon), lonfi(klon)
-      REAL :: orog(iip1,jjp1), rugo(iip1,jjp1), masque(iip1,jjp1),
+      REAL :: orog(iip1,jjp1), rugo(iip1,jjp1),
      . psol(iip1, jjp1), phis(iip1, jjp1)
       REAL :: p3d(iip1, jjp1, llm+1)
@@ -144,4 +153,5 @@
       !
       preff     = 101325.
+      pa        =  50000.
       unskap = 1./kappa
       !
@@ -167,5 +177,5 @@
       print*,'dtvr',dtvr
 
-      CALL inicons0()
+      CALL iniconst()
       CALL inigeom()
       !
@@ -754,4 +764,7 @@
       print*,'entree histclo'
       CALL histclo
+
+#endif 
+!#endif of #ifdef CPP_EARTH
       RETURN
       !
Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/gcm.F
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/gcm.F	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/gcm.F	(revision 1140)
@@ -9,18 +9,22 @@
       USE IOIPSL
 #endif
+
       USE mod_const_mpi, ONLY: init_const_mpi
       USE parallel
       USE mod_phys_lmdz_para, ONLY : klon_mpi_para_nb
+      USE infotrac
+      USE mod_interface_dyn_phys
+      USE mod_hallo
+      USE Bands
+
+      USE filtreg_mod
+
+! Ehouarn: for now these only apply to Earth:
+#ifdef CPP_EARTH
       USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_omp_data, ONLY: klon_omp 
       USE dimphy
-      USE infotrac
-      USE mod_interface_dyn_phys
       USE comgeomphy
-      USE mod_hallo
-      USE Bands
-
-      USE filtreg_mod
-
+#endif
       IMPLICIT NONE
 
@@ -160,22 +164,4 @@
       dynhistave_file = 'dyn_hist_ave'
 
-c--------------------------------------------------------------------------
-c   Iflag_phys controle l'appel a la physique :
-c   -------------------------------------------
-c      0 : pas de physique
-c      1 : Normale (appel a phylmd, phymars ...)
-c      2 : rappel Newtonien pour la temperature + friction au sol
-      iflag_phys=1
-
-c--------------------------------------------------------------------------
-c   Lecture de l'etat initial :
-c   ---------------------------
-c     T : on lit start.nc
-c     F : le modele s'autoinitialise avec un cas academique (iniacademic)
-#ifdef CPP_IOIPSL
-      read_start=.true.
-#else
-      read_start=.false.
-#endif
 
 c-----------------------------------------------------------------------
@@ -194,9 +180,10 @@
 c  ---------------------------------------
 c
-#ifdef CPP_IOIPSL
+! Ehouarn: dump possibility of using defrun
+!#ifdef CPP_IOIPSL
       CALL conf_gcm( 99, .TRUE. , clesphy0 )
-#else
-      CALL defrun( 99, .TRUE. , clesphy0 )
-#endif
+!#else
+!      CALL defrun( 99, .TRUE. , clesphy0 )
+!#endif
 c
 c
@@ -208,5 +195,10 @@
       call init_parallel
       call Read_Distrib
-      CALL Init_Phys_lmdz(iim,jjp1,llm,mpi_size,distrib_phys)
+! Ehouarn : temporarily (?) keep this only for Earth
+      if (planet_type.eq."earth") then
+#ifdef CPP_EARTH
+        CALL Init_Phys_lmdz(iim,jjp1,llm,mpi_size,distrib_phys)
+#endif
+      endif ! of if (planet_type.eq."earth")
       CALL set_bands
       CALL Init_interface_dyn_phys
@@ -220,7 +212,12 @@
 c$OMP END PARALLEL
 
+! Ehouarn : temporarily (?) keep this only for Earth
+      if (planet_type.eq."earth") then
+#ifdef CPP_EARTH
 c$OMP PARALLEL
       call InitComgeomphy
 c$OMP END PARALLEL 
+#endif
+      endif ! of if (planet_type.eq."earth")
 
       IF (config_inca /= 'none') THEN
@@ -252,7 +249,17 @@
 c  lecture du fichier start.nc
       if (read_start) then
-#ifdef CPP_IOIPSL
+      ! we still need to run iniacademic to initialize some
+      ! constants & fields, if we run the 'newtonian' case:
+        if (iflag_phys.eq.2) then
+          CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
+        endif
+!#ifdef CPP_IOIPSL
+        if (planet_type.eq."earth") then
+#ifdef CPP_EARTH
+! Load an Earth-format start file
          CALL dynetat0("start.nc",vcov,ucov,
      .              teta,q,masse,ps,phis, time_0)
+#endif
+        endif ! of if (planet_type.eq."earth")
 c       write(73,*) 'ucov',ucov
 c       write(74,*) 'vcov',vcov
@@ -261,10 +268,9 @@
 c       write(77,*) 'q',q
 
-#endif
-      endif
+      endif ! of if (read_start)
 
 c le cas echeant, creation d un etat initial
       IF (prt_level > 9) WRITE(lunout,*)
-     .                 'AVANT iniacademic AVANT AVANT AVANT AVANT'
+     .              'GCM: AVANT iniacademic AVANT AVANT AVANT AVANT'
       if (.not.read_start) then
          CALL iniacademic(vcov,ucov,teta,q,masse,ps,phis,time_0)
@@ -351,5 +357,4 @@
 c   Initialisation de la physique :
 c   -------------------------------
-#ifdef CPP_PHYS
       IF (call_iniphys.and.iflag_phys.eq.1) THEN
          latfi(1)=rlatu(1)
@@ -372,13 +377,14 @@
 
          WRITE(lunout,*)
-     .           'WARNING!!! vitesse verticale nulle dans la physique'
-
+     .       'GCM: WARNING!!! vitesse verticale nulle dans la physique'
+! Earth:
+         if (planet_type.eq."earth") then
+#ifdef CPP_EARTH
          CALL iniphysiq(ngridmx,llm,daysec,day_ini,dtphys ,
      ,                latfi,lonfi,airefi,zcufi,zcvfi,rad,g,r,cpp     )
-
+#endif
+         endif ! of if (planet_type.eq."earth")
          call_iniphys=.false.
-
-      ENDIF
-#endif
+      ENDIF ! of IF (call_iniphys.and.(iflag_phys.eq.1))
 
 
@@ -402,10 +408,16 @@
       day_end = day_ini + nday
       WRITE(lunout,300)day_ini,day_end
+ 300  FORMAT('1'/,15x,'run du jour',i7,2x,'au jour',i7//)
+
+!#ifdef CPP_IOIPSL
+      if (planet_type.eq."earth") then
+#ifdef CPP_EARTH
+      CALL dynredem0_p("restart.nc", day_end, phis)
+#endif
+      endif
+
+      ecripar = .TRUE.
 
 #ifdef CPP_IOIPSL
-      CALL dynredem0_p("restart.nc", day_end, phis)
-
-      ecripar = .TRUE.
-
       if ( 1.eq.1) then
       time_step = zdtvr
@@ -425,4 +437,5 @@
 
 #endif
+! #endif of #ifdef CPP_IOIPSL
 
 c  Choix des frequences de stokage pour le offline
@@ -450,6 +463,4 @@
 
 
- 300  FORMAT('1'/,15x,'run du pas',i7,2x,'au pas',i7,2x,
-     . 'c''est a dire du jour',i7,3x,'au jour',i7//)
       END
 
Index: /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/iniacademic.F
===================================================================
--- /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/iniacademic.F	(revision 1139)
+++ /LMDZ4/branches/LMDZ4-dev/libf/dyn3dpar/iniacademic.F	(revision 1140)
@@ -45,4 +45,5 @@
 #include "temps.h"
 #include "control.h"
+#include "iniprint.h"
 
 c   Arguments:
@@ -57,18 +58,14 @@
       REAL ps(ip1jmp1)                       ! pression  au sol
       REAL masse(ip1jmp1,llm)                ! masse d'air
+      REAL phis(ip1jmp1)                     ! geopotentiel au sol
+
+c   Local:
+c   ------
+
       REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
       REAL pks(ip1jmp1)                      ! exner au  sol
       REAL pk(ip1jmp1,llm)                   ! exner au milieu des couches
       REAL pkf(ip1jmp1,llm)                  ! exner filt.au milieu des couches
-      REAL phis(ip1jmp1)                     ! geopotentiel au sol
       REAL phi(ip1jmp1,llm)                  ! geopotentiel
-
-
-
-
-
-c   Local:
-c   ------
-
       REAL ddsin,tetarappelj,tetarappell,zsig
       real tetajl(jjp1,llm)
@@ -81,37 +78,38 @@
 
 c-----------------------------------------------------------------------
+! 1. Initializations for Earth-like case
+! --------------------------------------
+      if (planet_type=="earth") then
+c
+        time_0=0.
 
-c
-      time_0=0.
+        im         = iim
+        jm         = jjm
+        day_ini    = 0
+        omeg       = 4.*asin(1.)/86400.
+        rad    = 6371229.
+        g      = 9.8
+        daysec = 86400.
+        dtvr    = daysec/FLOAT(day_step)
+        zdtvr=dtvr
+        kappa  = 0.2857143
+        cpp    = 1004.70885
+        preff     = 101325.
+        pa        =  50000.
+        etot0      = 0.
+        ptot0      = 0.
+        ztot0      = 0.
+        stot0      = 0.
+        ang0       = 0.
 
-      im         = iim
-      jm         = jjm
-      day_ini    = 0
-      omeg       = 4.*asin(1.)/86400.
-      rad    = 6371229.
-      g      = 9.8
-      daysec = 86400.
-      dtvr    = daysec/FLOAT(day_step)
-      zdtvr=dtvr
-      kappa  = 0.2857143
-      cpp    = 1004.70885
-      preff     = 101325.
-      pa        =  50 000.
-      etot0      = 0.
-      ptot0      = 0.
-      ztot0      = 0.
-      stot0      = 0.
-      ang0       = 0.
-      pa         = 0.
+        CALL iniconst
+        CALL inigeom
+        CALL inifilr
 
-      CALL inicons0
-      CALL inigeom
-      CALL inifilr
-
-      ps=0.
-      phis=0.
+        ps=0.
+        phis=0.
 c---------------------------------------------------------------------
 
-      taurappel=10.*daysec
+        taurappel=10.*daysec
 
 c---------------------------------------------------------------------
@@ -119,63 +117,63 @@
 c   --------------------------------------
 
-      DO l=1,llm
-       zsig=ap(l)/preff+bp(l)
-       if (zsig.gt.0.3) then
-         lsup=l
-         tetarappell=1./8.*(-log(zsig)-.5)
-         DO j=1,jjp1
-            ddsin=sin(rlatu(j))-sin(pi/20.)
-            tetajl(j,l)=300.*(1+1./18.*(1.-3.*ddsin*ddsin)+tetarappell)
-         ENDDO
-        else
+        DO l=1,llm
+         zsig=ap(l)/preff+bp(l)
+         if (zsig.gt.0.3) then
+           lsup=l
+           tetarappell=1./8.*(-log(zsig)-.5)
+           DO j=1,jjp1
+             ddsin=sin(rlatu(j))-sin(pi/20.)
+             tetajl(j,l)=300.*(1+1./18.*(1.-3.*ddsin*ddsin)+tetarappell)
+           ENDDO
+          else
 c   Choix isotherme au-dessus de 300 mbar
-         do j=1,jjp1
-            tetajl(j,l)=tetajl(j,lsup)*(0.3/zsig)**kappa
-         enddo
-        endif
-      ENDDO
+           do j=1,jjp1
+             tetajl(j,l)=tetajl(j,lsup)*(0.3/zsig)**kappa
+           enddo
+          endif ! of if (zsig.gt.0.3)
+        ENDDO ! of DO l=1,llm
 
-      do l=1,llm
-         do j=1,jjp1
-            do i=1,iip1
-               ij=(j-1)*iip1+i
-               tetarappel(ij,l)=tetajl(j,l)
-            enddo
-         enddo
-      enddo
+        do l=1,llm
+           do j=1,jjp1
+              do i=1,iip1
+                 ij=(j-1)*iip1+i
+                 tetarappel(ij,l)=tetajl(j,l)
+              enddo
+           enddo
+        enddo
 
-c     call dump2d(jjp1,llm,tetajl,'TEQ   ')
+c       call dump2d(jjp1,llm,tetajl,'TEQ   ')
 
-      ps=1.e5
-      phis=0.
-      CALL pression ( ip1jmp1, ap, bp, ps, p       )
-      CALL exner_hyb( ip1jmp1, ps, p,alpha,beta, pks, pk, pkf )
-      CALL massdair(p,masse)
+        ps=1.e5
+        phis=0.
+        CALL pression ( ip1jmp1, ap, bp, ps, p       )
+        CALL exner_hyb( ip1jmp1, ps, p,alpha,beta, pks, pk, pkf )
+        CALL massdair(p,masse)
 
 c  intialisation du vent et de la temperature
-      teta(:,:)=tetarappel(:,:)
-      CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
-      call ugeostr(phi,ucov)
-      vcov=0.
-      q(:,:,1   )=1.e-10
-      q(:,:,2   )=1.e-15
-      q(:,:,3:nqtot)=0.
+        teta(:,:)=tetarappel(:,:)
+        CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
+        call ugeostr(phi,ucov)
+        vcov=0.
+        q(:,:,1   )=1.e-10
+        q(:,:,2   )=1.e-15
+        q(:,:,3:nqtot)=0.
 
 
-c   perturbation al\351atoire sur la temp\351rature
-      idum  = -1
-      zz = ran1(idum)
-      idum  = 0
-      do l=1,llm
-         do ij=iip2,ip1jm
-            teta(ij,l)=teta(ij,l)*(1.+0.005*ran1(idum))
-         enddo
-      enddo
+c   perturbation aleatoire sur la temperature
+        idum  = -1
+        zz = ran1(idum)
+        idum  = 0
+        do l=1,llm
+           do ij=iip2,ip1jm
+              teta(ij,l)=teta(ij,l)*(1.+0.005*ran1(idum))
+           enddo
+        enddo
 
-      do l=1,llm
-         do ij=1,ip1jmp1,iip1
-            teta(ij+iim,l)=teta(ij,l)
-         enddo
-      enddo
+        do l=1,llm
+           do ij=1,ip1jmp1,iip1
+              teta(ij+iim,l)=teta(ij,l)
+           enddo
+        enddo
 
 
@@ -187,9 +185,14 @@
 
 c   initialisation d'un traceur sur une colonne
-      j=jjp1*3/4
-      i=iip1/2
-      ij=(j-1)*iip1+i
-      q(ij,:,3)=1.
-
+        j=jjp1*3/4
+        i=iip1/2
+        ij=(j-1)*iip1+i
+        q(ij,:,3)=1.
+      
+      else
+        write(lunout,*)"iniacademic: planet types other than earth",
+     &                 " not implemented (yet)."
+        stop
+      endif ! of if (planet_type=="earth")
       return
       END
